Name: kde-network
Summary: Network Applications for the K Desktop
Version: 0.12.2
Release: 1 
Source100: ftp.kde.org:/pub/kde/apps/kde-network.tar.gz
Group: X11/K Desktop Environment/Network
BuildRoot: /tmp/kde-network
Copyright: GPL
Requires: qt >= 1.2, libgr, kde >= 0.12.1

%description
Current applications in this package are: korn, knu, kppp, and krn.
Note: kppp has its SUID bit turned on, which could cause security problems.  
What SUID does it let this
application run as root and therefore can access and change all files needed. 

%prep
%setup -T -c -a 100

%build
export KDEDIR=/opt/kde

rm -rf $RPM_BUILD_ROOT

cd kde-network
./configure --prefix=$RPM_BUILD_ROOT$KDEDIR
make KDEDIR=$KDEDIR
make KDEDIR=$RPM_BUILD_ROOT$KDEDIR install
cd ..


%install
export KDEDIR=/opt/kde

cd $RPM_BUILD_ROOT$KDEDIR

%clean
rm -rf $RPM_BUILD_ROOT

%post
chmod +s /opt/kde/bin/kppp

%files
%doc kde-network/COPYING kde-network/doc/README
%doc kde-network/doc/korn kde-network/doc/kppp kde-network/knu kde-network/doc/krn
/opt/kde/apps 
/opt/kde/bin
/opt/kde/doc
/opt/kde/lib
